package sshkeys

// Needed for V1 key format.
const (
	KeyV1Magic string = "openssh-key-v1"
)

// Cipher names. I believe only AES256-CTR is supported upstream currently.
const (
	CIPHER_NULL       string = "none"
	CIPHER_AES256_CTR string = "aes256-ctr"
)

var allowed_ciphers = [...]string{CIPHER_NULL, CIPHER_AES256_CTR}

// Key types.
const (
	KEY_ED25519 string = "ssh-ed25519"
	KEY_RSA     string = "ssh-rsa"
)

var allowed_keytypes = [...]string{KEY_ED25519, KEY_RSA}

// KDF names. I believe only bcrypt is supported upstream currently.
const (
	KDF_NULL   string = "none"
	KDF_BCRYPT string = "bcrypt"
)

var allowed_kdfnames = [...]string{KDF_NULL, KDF_BCRYPT}
